%define name		ejb
%define version		2.1
%define cvs_version	2_1
%define release		3jpp_2rh
%define section		non-free
%define source_top	%{name}-%{version}

Summary:	Enterprise JavaBeans Technology
URL:		http://java.sun.com/products/ejb/

Source0:	%{name}-%{cvs_version}-fr-spec-api.zip
#NoSource:	0

# If you do not want -javadoc built, give rpmbuild option '--without javadoc'
%define with_javadoc %{!?_without_javadoc:1}%{?_without_javadoc:0}

%if %{with_javadoc}
Source1:	%{name}-%{cvs_version}-fr-spec-docs.zip
#NoSource:	1
%endif

Source2:	%{name}-%{cvs_version}-fr-spec.pdf
#NoSource:	2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Sun Binary Code License
Group:		Development/Libraries/Java
#Vendor:		JPackage Project
#Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils > 0:1.5
Requires:	jpackage-utils > 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Since its introduction over four years ago, Enterprise JavaBeans (EJB)
technology has gained unprecedented momentum among both platform
providers and enterprise developers.

That's because the EJB component model simplifies the development of
middleware applications by providing automatic support for services such
as transactions, security, database connectivity, and more.

The EJB 2.1 specification enhances the EJB architecture with support for
Web services. Enterprise developers can implement and deploy Web service
applications with the same level of ease as other server-side
applications.

In addition, EJB 2.1 provides a container-managed Timer Service;
enhancements to EJB QL -- the declarative language for container-managed
persistence -- to support aggregate and order-by operations; and a
generalization of message-driven beans to support additional messaging
types.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}

%prep
%setup -q -c -n %{source_top}
chmod -R go=u-w *

install -m 0644 %{SOURCE2} .

%if %{with_javadoc}
%setup -q -c -T -a 1 -n %{source_top}/javadoc

# This sets the directory to the top of unpacked sources:
%setup -q -D -T -n %{source_top}
%endif

%build

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 %{name}-%{cvs_version}-api.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
%if %{with_javadoc}
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/*   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%doc *.pdf
%{_javadir}/*

%if %{with_javadoc}
%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}
%endif

%changelog
* Wed Oct 27 2004 Fernando Nasser <fnasser@redhat.com> 0:2.1-3jpp_2rh
- Rebuild

* Fri Mar  5 2004 Frank Ch. Eigler <fche@redhat.com> 0:2.1-2jpp
- RH vacuuming

* Tue Oct 07 2003 Leonid Dubinsky <dub@podval.org> 0:2.1-2jpp
- update to the second final draft
- add javadoc subpackage
- add dependence and build dependence on jpackage-utils

* Sun May 04 2003 David Walluck <david@anti-microsoft.org> 0:2.1-1jpp
- release
